"""
Module for store luna-tasks service enums.
"""

from enum import Enum


class TaskType(Enum):
    """
    Enum for task types.
    """

    unknown = 0  #: unknown type
    linker = 1  #: linker
    clustering = 2  #: clustering
    report = 3  #: clustering report
    gc = 4  #: garbage collect
    additional_extract = 5  #: additional extract parts of attributes
    cross_match = 6  #: match references with candidates
    roc = 7  #: calculate roc-curve
    exporter = 8  #: export data
    estimator = 9  #: estimate data


class TaskStatus(Enum):
    """
    Enum for task status
    """

    pending = 0  #: pending
    inProgress = 1  #: in progress
    cancelled = 2  #: cancelled
    failed = 3  #: failed
    collectResults = 4  #: collecting results
    done = 5  #: done


class SubTaskStatus(Enum):
    """
    Enum for subTask status
    """

    pending = 0  #: pending in line
    inProgress = 1  #: in progress
    cancelled = 2  #: cancelled
    failed = 3  #: failed
    done = 4  #: done


class ScheduleStatus(Enum):
    """
    Enum for schedule status
    """

    running = 1
    stopped = 2


class ScheduleAction(Enum):
    """
    Enum for schedule action query param
    """

    start = 1
    pause = 2
